| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
P33C_DAC_INSTANCE_s Struct Reference

`#include <common/p33c_pral/p33c_dac.h>`

Collaboration diagram for P33C_DAC_INSTANCE_s:

## Data Fields
union {
volatile struct tagDAC1CONLBITS bits
volatile uint16_t value
} | DACxCONL
union {
volatile struct tagDAC1CONHBITS bits
volatile uint16_t value
} | DACxCONH
union {
volatile struct tagDAC1DATLBITS bits
volatile uint16_t value
} | DACxDATL
union {
volatile struct tagDAC1DATHBITS bits
volatile uint16_t value
} | DACxDATH
union {
volatile struct tagSLP1CONLBITS bits
volatile uint16_t value
} | SLPxCONL
union {
volatile struct tagSLP1CONHBITS bits
volatile uint16_t value
} | SLPxCONH
union {
volatile struct tagSLP1DATBITS bits
volatile uint16_t value
} | SLPxDAT

## Detailed Description

Definition at line 109 of file p33c_dac.h.

## Field Documentation

## ◆ bits [1/7]

volatile struct tagDAC1CONHBITS bits

Definition at line 115 of file p33c_dac.h.

## ◆ bits [2/7]

volatile struct tagDAC1DATLBITS bits

Definition at line 119 of file p33c_dac.h.

## ◆ bits [3/7]

volatile struct tagDAC1DATHBITS bits

Definition at line 123 of file p33c_dac.h.

## ◆ bits [4/7]

volatile struct tagSLP1CONLBITS bits

Definition at line 127 of file p33c_dac.h.

## ◆ bits [5/7]

volatile struct tagSLP1CONHBITS bits

Definition at line 131 of file p33c_dac.h.

## ◆ bits [6/7]

volatile struct tagSLP1DATBITS bits

Definition at line 135 of file p33c_dac.h.

## ◆ bits [7/7]

volatile struct tagDAC1CONLBITS bits

Definition at line 111 of file p33c_dac.h.

## ◆ DACxCONH

union { ... } DACxCONH

## ◆ DACxCONL

union { ... } DACxCONL

## ◆ DACxDATH

union { ... } DACxDATH

## ◆ DACxDATL

union { ... } DACxDATL

## ◆ SLPxCONH

union { ... } SLPxCONH

## ◆ SLPxCONL

union { ... } SLPxCONL

## ◆ SLPxDAT

union { ... } SLPxDAT

## ◆ value

volatile uint16_t value

Definition at line 112 of file p33c_dac.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_dac.h